> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a workflow variable



## OpenAPI

````yaml /openapi/workflows.json patch /workflows/variables/{id}
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/variables/{id}:
    patch:
      tags:
        - Workflows
      summary: Update a workflow variable
      operationId: workflows.variables.update
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                value:
                  description: Value
                description:
                  type: string
                  maxLength: 2000
                  description: Description
                metadata:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                  description: Metadata
                effectiveDate:
                  type: string
                  format: date
                  description: Effective Date
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                    minLength: 1
                    maxLength: 255
                    pattern: ^[A-Z][A-Z0-9_]*$
                    description: Name
                  value:
                    description: Value
                  type:
                    enum:
                      - string
                      - number
                      - boolean
                      - date
                      - timestamp
                    type: string
                    description: Type
                    default: string
                  description:
                    type: string
                    maxLength: 2000
                    description: Description
                  metadata:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                    description: Metadata
                  effectiveDate:
                    type: string
                    format: date
                    description: Effective Date
                  id:
                    type: string
                    format: uuid
                  organizationId:
                    type: string
                  environment:
                    enum:
                      - test
                      - live
                    type: string
                  scope:
                    enum:
                      - system
                      - organization
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - name
                  - effectiveDate
                  - id
                  - organizationId
                  - environment
                  - scope
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````